<?php
define('ROOT','../');
define('GCMS',true);
require_once (ROOT.'system/power.php');
if($aut==true){
$diz -> head('Чат');
$diz -> title('<b>Чат</b>');
require_once (ROOT.'/new_mail.php');
$db -> query("UPDATE `online` SET `where` = 'chat',`idwh` = '' WHERE `login` = '".$ya['login']."' limit 1");
$for = $db -> query("SELECT `sid`,`id`,`name` FROM `chat` ORDER BY `sid` ASC");
$who = $db -> dbcount('COUNT(`login`)','online',"`where` = 'chat'");
$msg .= '<div class="tochechki"><a href="./pravila.php">Правила чата</a> | <a href="./who.php">Кто в чате?</a> ('.$who.')</div>';
if ($for -> num_rows > 0) {
while ($assoc = $for -> fetch_assoc()) {
$only = $db -> dbcount('COUNT(*)','online','`where`="chat" and `idwh`="'.$assoc['id'].'"');
$msg .= '<div class="spisok">'.$diz -> img('r.png').'<a href="room'.$assoc['id'].'"> '.$assoc['name'].'</a> ('.$only.')</div>';
}
} else {
$msg .= 'Комнаты пока не созданы..';
}
if ($aut == true) {
$msg .= '<div class="tochechki"><a href="settings.php">Настройки чата</a>';
}
if ($aut == true and $ya['level'] > 4) {
$msg .= '<br/><a href="../sysadm/chat.php">Управление чатом</a>';
}
$msg .= '</div><div class="levo">'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('location: /aut.php');
?>